Subject: Problems with repack during push

From: Rob Marshall <[email-masked]>
Date: Mon, 10 Sep 2012 12:16:22 -0400

Hi,

Whenever I do a git push origin of a new branch I see:

Auto packing the repository for optimum performance.
/usr/local/libexec/git-core/git-sh-setup: line 241: uname: command not found
/usr/local/libexec/git-core/git-repack: line 56: rm: command not found
/usr/local/libexec/git-core/git-repack: line 85: mkdir: command not found
/usr/local/libexec/git-core/git-repack: line 85: rm: command not found
fatal: 'repack' appears to be a git command, but we were not
able to execute it. Maybe git-repack is broken?
error: failed to run repack

If I do a 'git repack' it works fine, so are these
messages coming from the remote server?

Thanks,

Rob